# IRdChunkUnknown Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | LockData ([in] RtBOOL bWillOverwrite,[out, retval] RtBYTE **ppBuffer)
HRESULT | UnlockData (void)
## Properties
RtQWORD * | DataLen`[get]`
RtQWORD | DataLen`[set]`
CLSID * | ChunkIID`[get, set]`
RtDWORD * | CustomId`[get]`
RtDWORD | CustomId`[set]`

## Detailed Description

Chunk is used to manipulate with unknown chunks.

## Member Function Documentation

HRESULT IRdChunkUnknown::Clear | ( | void |  | ) |

Method clear the chunk.

HRESULT IRdChunkUnknown::LockData | ( | [in] RtBOOL | bWillOverwrite,
|  | [out, retval] RtBYTE ** | ppBuffer |
| ) |  |  |

Lock data and get buffer pointer.

Parameters:

  | bWillOverwrite | [in] Set true if you plan to modify the buffer.
  | ppBuffer | [out, retval] Returns pointer to the data buffer.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRdChunkUnknown::UnlockData | ( | void |  | ) |

Unlock data buffer.

Returns:
  Standard HRESULT processing can be applied to the result.

## Property Documentation

RtQWORD * IRdChunkUnknown::DataLen`[get]`

Get unknown chunk length.

Parameters:

  | pqwLength | [out, retval] Returns chunk's data length.

Returns:
  Standard HRESULT processing can be applied to the result.

RtQWORD IRdChunkUnknown::DataLen`[set]`

Set unknown chunk length.

Parameters:

  | qwLength | [in] Chunk's data length.

Returns:
  Standard HRESULT processing can be applied to the result.

CLSID * IRdChunkUnknown::ChunkIID`[get, set]`

Get unknown chunk IID.

Parameters:

  | piidChunk | [out, retval] Returns chunk's IID.

Returns:
  Standard HRESULT processing can be applied to the result.

Set unknown chunk IID.

Parameters:

  | piidChunk | [in] Set chunk's IID.

Returns:
  Standard HRESULT processing can be applied to the result.

RtDWORD * IRdChunkUnknown::CustomId`[get]`

Get unknown chunk custom Id.

Parameters:

  | pdwCustomId | [out, retval] Returns chunk's custom Id.

Returns:
  Standard HRESULT processing can be applied to the result.

RtDWORD IRdChunkUnknown::CustomId`[set]`

Set unknown chunk custom Id.

Parameters:

  | dwCustomId | [in] Set chunk's custom Id.

Returns:
  Standard HRESULT processing can be applied to the result.